Subject: Re: bug#22530: 25.0.90; Network Security Manager warning prompt silently disappears with some key presses

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 05 Feb 2016 17:52:12 +1100

[email-masked] (N. Jackson) writes:

> Pressing _some_ invalid keys, such as `z', result in a follow-up prompt
>
>     Invalid choice.  Continue connecting? (No, Session only, Always) 
>
> But some key presses, such as the arrow keys, make the prompt disappear,
> leaving the user in the lurch.
>
> I would expect that _any_ invalid key press in response to the prompt
> would result in the prompt being re-displayed. perhaps with more
> information as in the follow-up prompt above.

This has been fixed on the trunk with the new read-multiple-choice
function.

> Also, while I'm suggesting possible improvements, the warning message
> that is displayed in the help buffer might be improved by moving the
> details of the bad certificate to the end, so that the statement of the
> problem comes first.]

Hm...  I'm not sure...  Having a header-ey block first and then the
description afterwards seems kinda natural to me...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no